import request from '@/utils/request'

export function getDevicePage(data) {
  return request({
    url: '/js-check-device/page',
    method: 'get',
    params: data
  })
}

export function getDeviceList(data) {
  return request({
    url: '/js-check-device/list',
    method: 'post',
    data: data
  })
}

export function getDeviceDetail(data) {
  return  request({
    url: '/js-check-device/listById',
    method: 'post',
    data: data
  })
}

export function addDevicePage(data) {
  return request({
    url: '/js-check-device/add',
    method: 'post',
    data: data
  })
}

export function editDevicePage(data) {
  return request({
    url: '/js-check-device/edit',
    method: 'post',
    data: data
  })
}

export function delDevicePage(data) {
  return request({
    url: '/js-check-device/delete',
    method: 'post',
    data: data
  })
}
